package com.xkrs.utils;

import com.xkrs.model.entity.FireTaskPhoto;
import org.springframework.jdbc.core.BatchPreparedStatementSetter;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.List;

/**
 * @author XinYi Song
 */
@Component
public class JdbcUtils {
    @Resource
    private JdbcTemplate jdbcTemplate;

    /**
     * jdbcTemplate，batchUpdate增加，需自己定义sql，需要配置
     * @param list
     */
    public List<FireTaskPhoto> batchWithJdbcTemplate(List<FireTaskPhoto> list){
        String sql = "Insert into fire_task_photo(photo_fire_code,task_photo) values(?,?)";
        jdbcTemplate.batchUpdate(sql,new BatchPreparedStatementSetter() {
            @Override
            public void setValues(PreparedStatement ps, int i) throws SQLException {
                ps.setString(1,list.get(i).getPhotoFireCode());
                ps.setString(2,list.get(i).getTaskPhoto());
            }
            @Override
            public int getBatchSize() {
                return list.size();
            }
        });
        return list;
    }
}
